Download it now!
Bug 31655 - [UI] Scrolling causes VC++ Runtime Error
Summary: [UI] Scrolling causes VC++ Runtime Error
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
3.3.0 Beta3
Hardware: x86 (IA32) Windows (All)
: low minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-16 00:56 UTC by luk3Z
Modified: 2013-11-23 13:14 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
file part1 (900.00 KB, application/x-rar-compressed)
2010-11-24 05:28 UTC, luk3Z
Details
file part2 (882.74 KB, application/x-rar-compressed)
2010-11-24 05:34 UTC, luk3Z
Details

Note You need to log in before you can comment on or make changes to this bug.
Description luk3Z 2010-11-16 00:56:19 UTC
M$ VC++ Runtime Library Error (soffice.bin) when trying scroll down pages via scrollbar.
Comment 1 luk3Z 2010-11-16 00:58:58 UTC
OOo 3.2.1 is not affected.
Comment 2 Rainer Bielefeld Retired 2010-11-16 22:21:41 UTC
[Unconfirmed] with "LibreOffice3.3.0Beta2 - WIN XP DE [OOO330m9 (Build:1 - build 3.2.99.2)]"

@luk3Z:
May I ask you to read the hints on 
<http://wiki.documentfoundation.org/BugReport>?
Then please contribute a clear step by step instruction containing all observations (error messages ...), EVERY key press and EVERY mouse click how to reproduce the problem, and explain why you believe that your results are unexpected.
That means (for example): 
 do not write something like "I am not able to ...", but
  6. left mouse click on …
     expected: …, color of … changes, … 
     actual: no …., color remains white, no …

Screenshots might help to explain the problem.

Please 
- always specify your LibO download source, version, installed localization,
  exact OS version and Platform you used for your tests!
- attach a sample document (always with ODF source document)!
- Always contribute a meaningful Summary
- contribute more information concerning your PC (Processor, memory, 
  Graphic card ...)
Comment 3 Thorsten Behrens (CIB) 2010-11-17 09:02:32 UTC
whoops. now with correct keyword content.
Comment 4 luk3Z 2010-11-17 10:07:39 UTC
- Windows XP SP3 on x86
- LibO_3.3.0_beta2_Win_x86_install_multi from www.documentfoundation.org/download/ 
- EN UI, PL document
- 32-bit LibreOffice is NOT used on a 64 bit system
- double click on file -> click on the scrollbar -> move down -> crash
- double click on file -> scroll via mouse roll -> move down -> not crash
Comment 5 Don't use this account, use tml@iki.fi 2010-11-23 04:27:47 UTC
Can you reproduce it with Beta 3? 

(Note that there are some known problems with Beta 3, for instance it is known that the right-click context menu is very slow to appear, and that LO crashes always when exiting. Don't bother to re-report these issues. Just try the specific things you did to cause the crash in this bug report.)
Comment 6 luk3Z 2010-11-24 05:28:32 UTC
Created attachment 40541 [details]
file part1
Comment 7 luk3Z 2010-11-24 05:34:04 UTC
Created attachment 40542 [details]
file part2
Comment 8 luk3Z 2010-11-24 05:37:42 UTC
(In reply to comment #5)
> Can you reproduce it with Beta 3? 
> 
> (Note that there are some known problems with Beta 3, for instance it is known
> that the right-click context menu is very slow to appear, and that LO crashes
> always when exiting. Don't bother to re-report these issues. Just try the
> specific things you did to cause the crash in this bug report.)

In Beta 3 still crashes on change page 3 to 4 even with mouse roll, so maybe I didn't noticed it before, so it crash no matter how you scroll the document.
Comment 9 Don't use this account, use tml@iki.fi 2010-11-24 06:12:13 UTC
Please, no weird multi-part rar archives. If you want people to investigate your bugs, at least use some commonly known file format. And if the sample document is too large to attach here, use some webspace provider.
Comment 10 Rainer Bielefeld Retired 2010-12-20 01:14:42 UTC
Closing Bug due to reporter's inactivity as WFM.

@reporter:
Please feel free to reopen this Bug if you find out that the problem still exists in the latest release of LibO and if you can provide requested additional information.
Comment 11 Björn Michaelsen 2011-12-22 05:35:55 UTC
Remove infoprovider from closed and resolved bugs.
Comment 12 Björn Michaelsen 2011-12-22 05:52:26 UTC
RESOLVED, FIXED or CLOSED bugs cant be KEYWORD NEEDINFO.